export interface ScholarshipVO {
  /**
   * 序号
   */
  id: string | number;

  /**
   * 奖项名称
   */
  scholarshipName: string;

  /**
   * 奖项内容
   */
  scholarshipDetail: string;

  /**
   * 学生学号
   */
  stuNo: string;

  /**
   * 等级
   */
  grade: number;

  /**
   * 学期
   */
  semester: number;
  /**
   * 学生姓名
   */
  stuName: string;
}

export interface ScholarshipForm extends BaseEntity {
  /**
   * 序号
   */
  id?: string | number;

  /**
   * 奖项名称
   */
  scholarshipName?: string;

  /**
   * 奖项内容
   */
  scholarshipDetail?: string;

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 等级
   */
  grade?: number;

  /**
   * 学期
   */
  semester?: number;

  /**
   * 附件信息存放路径
   */
  experienceFilePath?: string;

  /**
   * 预留备注字段
   */
  remark?: string;
  /**
   * 学生姓名
   */
  stuName?: string;
}

export interface ScholarshipQuery extends PageQuery {
  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 奖项名称
   */
  scholarshipName?: string;

  /**
   * 奖项内容
   */
  scholarshipDetail?: string;

  /**
   * 等级
   */
  grade?: number;

  /**
   * 学期
   */
  semester?: number;

  /**
   * 附件信息存放路径
   */
  experienceFilePath?: string;

  /**
   * 日期范围参数
   */
  params?: any;

  /**
   * 学生姓名
   */
  stuName?: string;
}
