export interface ScoreListVO {
  /**
   * 编号
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string | number;

  /**
   * 专业
   */
  major: number;

  /**
   * 学期
   */
  semester: number;

  /**
   * 课程代码
   */
  courseCode: number;

  /**
   * 课程类型
   */
  courseType: number;

  /**
   * 课程名称
   */
  courseName: string;

  /**
   * 学分值
   */
  hourCredit: number;

  /**
   * 分数值
   */
  score: number;

  /**
   * 绩点
   */
  gradePoints: number;

  /**
   * 预留备注字段
   */
  remark: string;

  /**
   * 是否删除
   */
  deleted: number;

  stuName: string;

  stuSex: number;

  stuClass: string;

  faculties: number;
}

export interface ScoreListForm extends BaseEntity {
  /**
   * 编号
   */
  id?: string | number;

  /**
   * 学生id
   */
  stuId?: string | number;

  /**
   * 分数值
   */
  score?: number;

  /**
   * 课程名称
   */
  courseName?: string;

  /**
   * 学分值
   */
  hourCredit?: number;

  /**
   * 预留备注字段
   */
  remark?: string;

  /**
   * 是否删除
   */
  deleted?: number;

  stuName?: string;

  stuSex?: number;

  faculties?: number;

  stuClass?: string;
}

export interface ScoreListQuery extends PageQuery {
  /**
   * 学生id
   */
  stuId?: string | number;

  /**
   * 分数值
   */
  score?: number;

  /**
   * 课程名称
   */
  courseName?: string;

  /**
   * 学分值
   */
  hourCredit?: number;

  /**
   * 是否删除
   */
  deleted?: number;

  /**
   * 日期范围参数
   */
  params?: any;

  stuName?: string;

  stuSex?: number;

  faculties?: number;

  stuClass?: string;
}
