export interface StudentListVO {
  /**
   * 学生ID
   */
  id: string | number;

  /**
   * 学生姓名
   */
  stuName: string;

  /**
   * 学生性别
   */
  stuSex: number;

  /**
   * 学生专业
   */
  stuMajor: number;

  /**
   * 学生院系
   */
  faculties: number;

  /**
   * 学生年级
   */
  stuGrade: string;

  /**
   * 学生班级
   */
  stuClass: string;

  /**
   * 培养层次
   */
  stuLevels: number;

  /**
   * 所属校区
   */
  stuCampus: number;

  /**
   * 学号
   */
  stuNo: string;
}

export interface StudentListForm extends BaseEntity {
  /**
   * 学生ID
   */
  id?: string | number;

  /**
   * 学生姓名
   */
  stuName?: string;

  /**
   * 学生性别
   */
  stuSex?: number;

  /**
   * 学生专业
   */
  stuMajor?: number;

  /**
   * 学生院系
   */
  faculties?: number;

  /**
   * 学生年级
   */
  stuGrade?: string;

  /**
   * 学生班级
   */
  stuClass?: string;

  /**
   * 培养层次
   */
  stuLevels?: number;

  /**
   * 所属校区
   */
  stuCampus?: number;

  /**
   * 学号
   */
  stuNo?: string;
}

export interface StudentListQuery extends PageQuery {
  /**
   * 学生姓名
   */
  stuName?: string;

  /**
   * 学生性别
   */
  stuSex?: number;

  /**
   * 学生专业
   */
  stuMajor?: number;

  /**
   * 学生院系
   */
  faculties?: number;

  /**
   * 学生年级
   */
  stuGrade?: string;

  /**
   * 学生班级
   */
  stuClass?: string;

  /**
   * 培养层次
   */
  stuLevels?: number;

  /**
   * 所属校区
   */
  stuCampus?: number;

  /**
   * 学号
   */
  stuNo?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
